Skip to content

Check history for an address

GET
/aml/history

AML check history for a specific address, yours only: checks made by other users for the same address are not visible. Paginated, 100 records per page, newest first.

Checks with the skipped status (inactive addresses) are excluded from the history. The full result of any record is fetched through GET /aml/{order_id} by its client_order_id.

Authorizations

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters

Query Parameters

address*
Type
string
Required
Min Length
10
Max Length
100
network*
Type
string
Required
Example"trx"
page
Type
integer
Minimum
1
Default
1

Responses

A page of the history.

application/json
JSON
{
  
"success": true,
  
"data": {
  
  
"address": "string",
  
  
"total": 0,
  
  
"page": 0,
  
  
"pages": 0,
  
  
"checks": [
  
  
  
{
  
  
  
  
"client_order_id": "string",
  
  
  
  
"provider": "string",
  
  
  
  
"status": "string",
  
  
  
  
"created_at": "string",
  
  
  
  
"completed_at": "string",
  
  
  
  
"risk_score": 0,
  
  
  
  
"risk_level": "string",
  
  
  
  
"is_sanctioned": true
  
  
  
}
  
  
]
  
},
  
"timestamp": "string"
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI